Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class Project

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.ide.idea.model.Project

    class Project
    extends XmlPersistableConfigurationObject

Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

Authors:
  Hans Dockter

Property Summary
`Jdk` | `jdk` Represent the jdk information of the project java sdk.
`Set` | `modulePaths` A set of Path instances pointing to the modules contained in the ipr.
`Set` | `wildcards` A set of wildcard string to be included/excluded from the resources.

Constructor Summary
`Project(XmlTransformer xmlTransformer, def pathFactory)`

Method Summary
`def` | `configure(Collection modulePaths, String jdkName, IdeaLanguageLevel languageLevel, Collection wildcards)`
`boolean` | `equals(def o)`
`protected String` | `getDefaultResourceName()`
`int` | `hashCode()`
`protected void` | `load(Node xml)`
`protected void` | `store(Node xml)`

Property Detail

### jdk

    Jdk jdk

  Represent the jdk information of the project java sdk.

### modulePaths

    Set modulePaths

  A set of Path instances pointing to the modules contained in the ipr.

### wildcards

    Set wildcards

  A set of wildcard string to be included/excluded from the resources.

Constructor Detail

### Project

    Project(XmlTransformer xmlTransformer, def pathFactory)

Method Detail

### configure

    def configure(Collection modulePaths, String jdkName, IdeaLanguageLevel languageLevel, Collection wildcards)

### equals

    boolean equals(def o)

### getDefaultResourceName

    @Override
    protected String getDefaultResourceName()

### hashCode

    int hashCode()

### load

    @Override
    protected void load(Node xml)

### store

    @Override
    protected void store(Node xml)

Gradle API 1.1-rc-1